ggar asks. . .
Well, I have been browsing your website, and just ran across your mods section. I did not know you Modded Skyrim. I noticed it states that it requires Skyrim (Legacy), Do you have plans to also mod Skyrim SE?

DatWombat says. . .

Not because I want to. I have no interest in modding Skyrim SE, because (last I checked) it doesn’t the support the mods I have come to love to the full extent I’d like: no matter how hard I tried, I couldn’t recreate my beloved Skyrim LE. . . I’ll have you know that I nailed my booby-physics in Skyrim LE! However, the mods I have created have been converted to Skyrim SE before. While I have no personal interest in modding Skyrim SE, I hear that’s it’s super-easy to convert my files. If there was a high enough demand I would consider spending more time modding. . . but I’m unsure how many people are vying for my handiwork.